pam_rhosts_auth(5)

NAME
pam_rhosts_auth - authentication management PAM modules using ruserok()

SYNOPSIS

/usr/lib/security/pam_rhosts_auth.so.1

DESCRIPTION

The rhosts PAM module, /usr/lib/security/pam_rhosts_auth.so.1, authenticates a user via the rlogin authentication protocol. Only pam_sm_authenticate() is implemented within this module. pam_sm_authenticate() uses the ruserok(3) library funtion to authenticate the rlogin or rsh user. pam_sm_setcred() is a null function.

/usr/lib/security/pam_rhosts_auth.so.1 is designed to be stacked on top of the /usr/lib/security/pam_unix.so.1 module for both the rlogin and rsh services. This module is normally configured as sufficient so that subsequent authentication is performed only on failure of pam_sm_authenticate(). The following option may be passed in to this service module:

    debug
        syslog(3) debugging information at LOG_DEBUG level

SEE ALSO
pam(3), pam_authenticate(3), ruserok(3), syslog(3), pam.conf(4)